# Release Notes

## v.1.3.5.2 - 2017/12/21
======================================================================================
### Modified
- Modified app crash bug

## v.1.3.5 - 2017/09/21
======================================================================================
### Modified
- Improved queryIncompletedPurchases API performance.
- Modified to log internally.

## v.1.3.4 - 2017/08/24
======================================================================================
### Modified
- Modified app crash bug when call processesIncompletePurchases API.
- Overseas acceleration URL applied.
- Modified to log internally.

## v.1.3.3.1 - 2017/06/29
======================================================================================
### Modified
- processesIncompletePurchases API has been modified to only handle connection timeout.
- Changed that in gradle dependencies configuration instead real module(gson and okhttp).
- Modified app crash bug when OneStore's response is not success.
- Modified app crash bug when call processesIncompletePurchases API.
- Modified app crash bug when paying decimal point amount.
- Modified app crash bug with 'IAB helper is not set up'.

## v.1.3.2 - 2017/02/23
======================================================================================
### Modified
- Modified itmeSeq to itemSeq of response in InAppPurchases.InAppPurchase.queryItems and InAppPurchases.InAppPurchase.queryTCConsoleItems
- Modified app crash bug when call InAppPurchases.InAppPurchase.processesIncompletePurchases

## v.1.3.1 - 2017/01/19
======================================================================================
### Modified
- Removed 'WRITE_EXTERNAL_STORAGE' and 'WRITE_EXTERNAL_STORAGE' permissions
- Modified user cancel response code from 109 to 104

## v.1.3.0 - 2016/12/22
======================================================================================
### Modified
- Update OneStore inApp SDK to v16.03.00

## v.1.2.9 - 2016/11/30
======================================================================================
### Modified
- Update OneStore inApp SDK to v16.02.00

## v.1.2.8 - 2016/10/26
======================================================================================
### Added
- Add processesIncompletePurchases API
  - public void processesIncompletePurchases(Activity activity, IncompletePurchasesCallback callback)

### Modified
- Remove NAVER setting infomations.

## v.1.2.7 - 2016/10/12
======================================================================================
### Modified
- Modified app crash bug when call InAppPurchases.InAppPurchase.requestPurchase and required permission is denied

## v.1.2.6 - 2016/08/23
======================================================================================
### Added
- Add queryItems API
  - public void queryItems(Activity activity, ItemListCallback callback)

## v.1.2.5 - 2016/07/18
======================================================================================
### Modified
- Modified PurchaseCallback Return code when required permission is denied


## v1.2.4 - 2015/10/05
======================================================================================
### Modified
- Update OneStore inApp SDK to v15.01.00


## v1.2.3 - 2015/9/30
======================================================================================
### Modified
- Remove alert message that confirm the payment
- Update Okhttp library to v1.5.4

## v1.2.0 - 2015/8/6
======================================================================================
### Added
- Supported Android Studio IDE / Gradle Build

## v1.1.2 - 2015/5/20
======================================================================================
### Added
- Add TStore Configurations
 examples) This Configuration is possible, as shown below through AndroidManifest.xml
 <meta-data android:name="iap:plugin_mode" android:value="development" />
- value
 - development : Testing
 - release : Production

## v1.1.0 - 2015/2/5
======================================================================================

### Added
- Support Naver App Store In App Purchase (http://appdev.naver.com/)


## v1.0.0 - 2014/12/11
======================================================================================
### Added
- Support One Store In App Purchase (http://dev.onestore.co.kr/)
- Add requestPurchase API
  - public void requestPurchase(Activity activity, long itemId, PurchaseCallback callback)
- Add setDebugMode API
  - public void setDebugMode(boolean isDebuggable)

### Modified
- The currency & pricing information collected through market
- Add currency and price value to requestPurchase
 - public void requestPurchase(Activity activity, long itemId, PurchaseCallback callback)


### Deprecated
- API Deprecated
  - public void requestPurchase(Activity activity, long itemId, String currency, float price, PurchaseCallback callback)

### Improved
- Update Sample Application

## v0.2.3 - 2014/11/17
======================================================================================
- Initial Deply
