package com.nhnent.iap.sample.service;

import android.os.Handler;
import android.os.Message;

import com.nhnent.iap.sample.MainEventListener;

public class AuthEventHandler extends Handler {
	public static final int AUTH_COMPLETED = 1;
	
	private MainEventListener listener;
	
	public AuthEventHandler(MainEventListener listener) {
		this.listener = listener;
	}
	
	@Override
	public void handleMessage(Message message) {
		switch(message.what) {
			case AUTH_COMPLETED:
				listener.onAuth((String) message.obj);
				break;
				
			default:
				break;
		}
	}
}
